#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM 
# 5724-J08, 5724-I63, 5724-H88, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 2006
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# If a proxy server is needed for internet access
# edit and uncomment the following line.
# PROXY_INFO="-Dhttp.proxyHost=yourProxyHost -Dhttp.proxyPort=yourProxyPort"

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

WASFP_CLASSPATH="$WAS_HOME"/plugins/com.ibm.jaxb.tools_6.1.0.jar:"$WAS_HOME"/plugins/com.ibm.ws.runtime_6.1.0.jar:"$WAS_CLASSPATH"

CMD_NAME=`basename $0`

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ "${INV_PRF_SPECIFIED:=}" != "" ] && [ "$INV_PRF_SPECIFIED" = "true" ]
then
    ${JAVA_EXE} -cp "${WAS_HOME}/lib/commandlineutils.jar" com.ibm.ws.install.commandline.utils.CommandLineUtils -specifiedProfileNotExists -profileName $WAS_PROFILE_NAME
    exit 1
elif [ "${WAS_USER_SCRIPT_FILE_NOT_EXISTS:=}" != "" ] && [ "$WAS_USER_SCRIPT_FILE_NOT_EXISTS" = "true" ]
then
    ${JAVA_EXE} -cp "${WAS_HOME}/lib/commandlineutils.jar" com.ibm.ws.install.commandline.utils.CommandLineUtils -wasUserScriptFileNotExists -wasUserScript $WAS_USER_SCRIPT
    exit 1
elif [ "${NO_DFT_PRF_EXISTS:=}" != "" ] && [ "$NO_DFT_PRF_EXISTS" = "true" ]
then
    ${JAVA_EXE} -cp "${WAS_HOME}/lib/commandlineutils.jar" com.ibm.ws.install.commandline.utils.CommandLineUtils -noDefaultProfile -commandName $CMD_NAME
    exit 1
fi

"$JAVA_HOME/bin/java" \
  $WAS_LOGGING \
  -Dserver.root="$WAS_HOME" \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
   $PROXY_INFO \
  "$OSGI_INSTALL" "$OSGI_CFG"  \
  -classpath "$WASFP_CLASSPATH":"$CLASSPATH" com.ibm.ws.bootstrap.WSLauncher \
  com.sun.tools.xjc.Driver "$@"

exit 0